"use client";
import HeroHome from "@/sections/HeroHome";
import FeaturesBlocks from "@/sections/FeaturesBlocks";
import FeaturesZigZag from "@/sections/FeaturesZigzag";
import Newsletter from "@/sections/Newsletter/Newsletter";
import Aos from "aos";
import "aos/dist/aos.css";
import { useEffect } from "react";
import React from "react";
import { FrequentlyAsked } from "@/sections/FrequentlyAsked";
import { Testimonial } from "@/sections/Testimonial";
import {
  CenterAllignedWithVideoHero,
  SquaredBackgroundHero,
  WaitingListWithImageHero,
} from "@/sections/HeroSections";
import Spacer from "@/components/Utilities/Spacer";
import LandingPage from "@/pages/LandingPage";
import PageWrapper from "@/components/Utilities/PageWrapper";
import Footer from "@/components/Footer";
import SimpleHero from "@/sections/HeroSections/SimpleHero";

export default function Home() {
  useEffect(() => {
    Aos.init({
      delay: 50,
      easing: "ease-out-cubic",
      once: true,
      offset: 50,
    });
  }, []);

  return (
    <>
      {/*  Page sections */}
      {/* <HeroHome /> */}
      {/* <Spacer className="pt-32" /> */}
      {/* <CenterAllignedWithVideoHero /> */}
      {/* <SquaredBackgroundHero />
      <FeaturesBlocks />
      <FeaturesZigZag />
      <FrequentlyAsked />
      <Testimonial />
      <Newsletter /> */}
      {/* <LandingPage /> */}
      <PageWrapper>
        {/* ========== END HEADER ========== */}
        {/* ========== MAIN CONTENT ========== */}
        {/* <WaitingListWithImageHero /> */}
        <CenterAllignedWithVideoHero />
        {/* ========== END MAIN CONTENT ========== */}
        {/* ========== FOOTER ========== */}
        <Footer />
        {/* ========== END FOOTER ========== */}
      </PageWrapper>
      {/* <LandingPageWaitingList /> */}
    </>
  );
}
