import React from "react";
import Logo from "./Logo";

function Footer() {
  return (
    <footer>
      <div className="py-12 md:py-1 bg-base-100">
        <div className="max-w-6xl mx-auto px-4 sm:px-6" data-aos="fade-up">
          {/* Bottom area */}
          <div className="flex items-center justify-center">
            {/* Social links */}
            <ul className="flex md:order-1 md:mb-0 justify-center">
              <li>
                <Logo label="YouTube" />
              </li>
            </ul>
          </div>

          {/* Copyrights note */}
          <div className="text-gray-400 text-xs text-center dark:text-white mt-2">
            &copy; 2024 Sign365.
          </div>
        </div>
      </div>
    </footer>
  );
}

export default Footer;
