"use client";
import React from "react";
import NewsletterForm from "./NewsletterForm";

function Newsletter() {
  return (
    <section>
      <div className="max-w-6xl mx-auto px-4 sm:px-6">
        {/* CTA box */}
        <div
          className="relative bg-gradient-to-r from-pink-default to-purple-default py-10 px-8 md:py-16 md:px-12"
          data-aos="fade-up"
        >
          <div className="relative flex flex-col lg:flex-row justify-between items-center">
            <NewsletterForm />
          </div>
        </div>
      </div>
    </section>
  );
}

export default Newsletter;
